[SciPy-User] /usr/bin/ld: cannot find -lnpymath AND ImportError: cannot import name asstr and

David Cournapeau cournape@gmail....
Wed Nov 24 17:03:44 CST 2010


On Thu, Nov 25, 2010 at 4:36 AM, Peter Tittmann <ptittmann@gmail.com> wrote:
> Thanks for the update David.
> Any possibility of upgrading numpy in place? So many things depend upon
> it...

I strongly advise you not to do it - you will not be able to remove it
correctly anymore, and it is likely to have side effects which are
hard to debug.

> If so, or not -- and I apologize as this is not the place to discuss debian
> package management -- any advice on how to upgrade or re-install a package
> that lots of core OS tools depend upon?

Note that the bug is not that significant, in the sense that it "only"
prevents scipy from being built. Any other package which depends on
numpy should be fine. I think the easiest is to fix the numpy package
- it is likely easy to fix, you only need to make sure libnpymath.a is
included in the python-numpy package.

cheers,

David


More information about the SciPy-User mailing list